package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServicePackagePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServicePackageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServicePackageSaveReqVO;

public interface HomeServicePackageService {

    Long createHomeServicePackage(HomeServicePackageSaveReqVO createReqVO);

    void updateHomeServicePackage(HomeServicePackageSaveReqVO updateReqVO);

    void deleteHomeServicePackage(Long id);

    HomeServicePackageRespVO getHomeServicePackage(Long id);

    PageResult<HomeServicePackageRespVO> getHomeServicePackagePage(HomeServicePackagePageReqVO pageReqVO);
}
